#include <stdarg.h>
#include <stdio.h>
#include "Message.h"

void info(const char * format, ...)
{
    char message[1024];
    va_list ap;
    va_start(ap, format);
    vsnprintf(message, sizeof(message), format, ap);
    va_end(ap);
    fprintf(stderr, "Info: %s\n", message);
}

void warning(const char * format, ...)
{
    char message[1024];
    va_list ap;
    va_start(ap, format);
    vsnprintf(message, sizeof(message), format, ap);
    va_end(ap);
    fprintf(stderr, "Warning: %s\n", message);
}

void error(const char * format, ...)
{
    char message[1024];
    va_list ap;
    va_start(ap, format);
    vsnprintf(message, sizeof(message), format, ap);
    va_end(ap);
    fprintf(stderr, "Error: %s\n", message);
}
