/*
 * provide some instrument specific information; mostly obsolete now.
 * Anything relevant should be tagged to the Tiff header anyway.
 *
 * Time-stamp: <26 Jun 2006 16:58 BST Instrument.cpp km>
 * Copyright (c) Solexa 2004
 * Author: Klaus Maisinger
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */

#if defined(__BORLANDC__)
#include <string.h>
#else
#include <cstring>
#endif
#include "Instrument.h"

//---------------------------------------------------------------------------
static st_instrument instrument1
  = { "Instrument1", 12, 3., 22, 5., 300. };
static st_instrument instrument2
  = { "Instrument2", 12, 3., 52, 5., 300. };
static st_instrument instrument3
  = { "Instrument3", 12, 3., 65, 5., 900. };
static st_instrument prototype
  = { "Acquired", 16, 3., 1000, 5., 2000. };
static st_instrument manteia
  = { "Manteia instrument", 12, 3., 512, 300., 1800. };
static st_instrument generic
  = { "Generic", 0, 3., 0, 2000., 10000. };

st_instrument *get_instrument(char name[])
{
    st_instrument *instruments[6]
        = { &instrument1, &instrument2, &instrument3, &prototype,
            & manteia, &generic };
    int i;
    for (i = 0; i < 6; i++)
        if (strstr(name, instruments[i]->name))
            return instruments[i];
    return instruments[5];
}
