/*
 * Copyright (c) Solexa 2006
 * Author:
 * Klaus Maisinger
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */
#ifndef JOURNALPARSER_H_
#define JOURNALPARSER_H_

#include <cstdio>
#include <vector>
#include <string>
#include "Images.h"
#include "ParameterTypes.h"

int parse_journal(const char journal_filename[],
                  RunInfo *runInfo, int *ncycle,
                  std::vector<std::string > & filenames,
                  unsigned char**base_list);

#endif /*JOURNALPARSER_H_*/
