/*
 * Copyright (c) 2006 Solexa Ltd.
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 *
 */

#ifndef __ESTIMATE_XTALK_MX_H__
#define __ESTIMATE_XTALK_MX_H__

#include "savinio_common.h"

void applyXTalkMx(const float * i_data,
                  const int     no_objects,
                  const int     no_cols,
                  Matrix      & mx,
                  float       * i_data_new);
void estimateXTalkMx(float     * i_data, 
                     const int   no_objects,
                     const int   no_cols,
                     Matrix    & mx_normalised);


#endif /* __ESTIMATE_XTALK_MX_H__ */
