/*
 * Copyright (c) 2006 Solexa Ltd.
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 *
 */

#ifndef __INPUT_PROCESS_H__
#define __INPUT_PROCESS_H__

#include <fstream>
#include <string>

class InputProcess{
  std::string filename;
public:
  InputProcess(const char * input_file);
  virtual ~InputProcess() {};
  void fromInput_Intensities(float     * intensities, 
                             int       & no_objects,
                             const int   no_cols,
                             const int   compression = 0,
                             const int   no_skip_cols = 0);

};

#endif /* __INPUT_PROCESS_H__ */

