/*
 * Copyright (c) 2006-2007 Solexa
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */


#ifndef __SAVINIO_COMMON_H__
#define __SAVINIO_COMMON_H__


#include <iostream>

#include "matrix.h"

#define NO_BASES 4
#define MAX_NO_CLUSTERS 50000
#define MIN_NO_CLUSTERS 800
#define MIN_NO_SEL_DATA 100
#define NO_BINS 20
#define PERCENTILE_LOWER_X_S1 0.70
#define PERCENTILE_UPPER_X_S1 0.97
#define PERCENTAGE_LOWER_X_S1_ITER1 0.1
#define PERCENTAGE_UPPER_X_S1_ITER1 0.5
#define PERCENTAGE_LOWER_X_S1_ITER2 0.2
#define PERCENTAGE_UPPER_X_S1_ITER2 1.
#define PERCENTILE_LOWER_Y_S1_ITER1 0.1
#define PERCENTILE_LOWER_Y_S1_ITER2 0.3
#define PERCENTILE_UPPER_X_S3 0.9
#define PERCENTAGE_S3 0.1

typedef matrix <float> Matrix;

#endif /* __SAVINIO_COMMON_H__ */
