/*
 * Estimate the dispersion of the background noise of an image
 *
 * Copyright (c) Solexa 2005, 2006
 * Author:
 * Klaus Maisinger
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */
#ifndef _PROCESSNOISEESTIMATE_H_
#define _PROCESSNOISEESTIMATE_H_

void estimate_noise_image(float *image, int nx, int ny,
                          float *noise, float *background = 0);
void determine_noise_hist_stats(float *image, int n,
                                float *average, float *dispersion);

#endif //_PROCESSNOISEESTIMATE_H_
