/*
 * Time-stamp: <26 Jun 2006 16:54 BST DNACodes.h km>
 * Copyright (c) Solexa 2005, 2006
 * Author:
 * Klaus Maisinger
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */

#ifndef _DNACODES_H
#define _DNACODES_H

const unsigned char BaseUpperCase[4] = { 'A', 'C', 'G', 'T'};
const unsigned char BaseLowerCase[4] = { 'a', 'c', 'g', 't' };

const unsigned short Base1BitA = 1;
const unsigned short Base1BitC = 1<<1;
const unsigned short Base1BitG = 1<<2;
const unsigned short Base1BitT = 1<<3;

const unsigned short Base2BitA = 1<<1;
const unsigned short Base2BitC = 1<<3;
const unsigned short Base2BitG = 1<<5;
const unsigned short Base2BitT = 1<<7;
const unsigned short Base2BitLA = 1;
const unsigned short Base2BitLC = 1<<2;
const unsigned short Base2BitLG = 1<<4;
const unsigned short Base2BitLT = 1<<6;

unsigned char DNA_1bit_base(unsigned short code);
unsigned char DNA_2bit_base(unsigned short code);
int get_base_index(unsigned char, unsigned char *bases = 0, int nbase = 0);

#endif /* _DNACODES_H */
