/*
 * Copyright (c) Solexa 2006
 * Author:
 * Klaus Maisinger
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */
#ifndef InstrumentH
#define InstrumentH

// instrument specific data
struct st_instrument {
    char name[100];
    unsigned short bitsperpixel;
    float fwhm;
    unsigned int dark_count;
    float greyscale_lo, greyscale_hi;
};

st_instrument *get_instrument(char name[]);

#endif /* InstrumentH */
 
