
/*
 *
 * Copyright (c) 2006 Solexa Ltd.
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 *
 */

//
// CVS - $Id: savinio_debugging.h,v 1.2 2006/12/12 10:08:53 lm Exp $
//



#ifndef __SAVINIO_DEBUGGING_H__
#define __SAVINIO_DEBUGGING_H__


#define DEBUG_IO                // I/O processing
#define DEBUG_SAMPLING1         // sampling 1
#define DEBUG_XTALK_MATRIX_1    // unscaled cross-talk matrix, first estimate
#define DEBUG_XTALK_MATRIX_2    // unscaled cross-talk matrix, last estimate
#define DEBUG_XTALK_MATRIX_3    // scaled cross-talk matrix
#define DEBUG_XTALK_MATRIX_4    // normalised cross-talk matrix
#define DEBUG_MIN               // minimisation of the function associated to the KS statistic
#define DEBUG_SCALING           // scaling
#define DEBUG1
#define DEBUG2

#undef DEBUG_IO
#undef DEBUG_SAMPLING1
#undef DEBUG_XTALK_MATRIX_1
#undef DEBUG_XTALK_MATRIX_2
#undef DEBUG_XTALK_MATRIX_3
#undef DEBUG_XTALK_MATRIX_4
#undef DEBUG_MIN
#undef DEBUG_SCALING
#undef DEBUG1
#undef DEBUG2


#endif /* __SAVINIO_DEBUGGING_H__ */
