/*
 *
 * Copyright (c) 2006-2007 Solexa
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */

#ifndef __SAVINIO_EXCEPTIONS_H__
#define __SAVINIO_EXCEPTIONS_H__

#include <string>

class Exception01 {

  public:
    Exception01(const char *input_file, int no_objects);
    void display(void);
    int getNumberObjects();
  private:
      std::string in_file;
      int         n_objects;
      std::string error_msg;

};

class Exception02 {

  public:
    Exception02();
    void display(void);

  private:
      std::string error_msg;

};

#endif // __SAVINIO_EXCEPTIONS_H__
